List subscription plans
curl --request GET \
--url https://api.sandbox.cheqpay.mx/pos/v1/plans \
--header 'x-api-key: <api-key>' \
--header 'x-merchant-id: <api-key>'import requests
url = "https://api.sandbox.cheqpay.mx/pos/v1/plans"
headers = {
"x-api-key": "<api-key>",
"x-merchant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-merchant-id': '<api-key>'}
};
fetch('https://api.sandbox.cheqpay.mx/pos/v1/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"merchantId": "merchant_123",
"name": "Monthly Premium Plan",
"amount": "9900",
"currency": "MXN",
"interval": "MONTH",
"intervalCount": 1,
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z",
"externalId": "PLAN-MONTHLY-001",
"description": "Premium subscription with all features included",
"trialDays": 14,
"metadata": {}
}
],
"pagination": {
"total": 50,
"limit": 20,
"page": 1,
"hasMore": true
}
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"message": "Required"
}
]
}{
"message": "Invalid api key"
}{
"message": "Error message"
}Subscription Plan
List subscription plans
Retrieves a paginated list of subscription plans with optional filtering by active status and billing interval.
GET
/
v1
/
plans
List subscription plans
Authorizations
API key for authentication (required)
Merchant ID for identifying the merchant (required)
Query Parameters
Number of plans to return per page (max 100)
Required range:
1 <= x <= 100Page number (starts from 1)
Required range:
x >= 1Filter by active status
Available options:
true, false Filter by billing interval
Available options:
DAY, WEEK, MONTH, YEAR